<?php

class ClanController extends Controller {

    public function filters() {
        return array(
            'accessControl',
        );
    }

    public function accessRules() {
        return array(
            array('allow',
                'actions' => array('index', 'office'),
                'users' => array('@'),
            ),
            array('allow',
            ),
            array('deny',
                'users' => array('*'),
            // 'deniedCallback' => $this->redirect('?r=site/index'),
            )
        );
    }

    public function actions() {
        return array(
            'page' => array(
                'class' => 'CViewAction',
            ),
        );
    }

    public function actionOffice() {
        $user = Users::findUser();
        if ($user->level >= 5) {
            
        } else {
            throw new CHttpException(NULL, 'Эта возможность доступна игрокам с 5 уровня');
        }
        $this->render('office', array(
        'user' => $user,
        ));
    }

    public function actionInfocreate() {
        $user = Users::findUser();
        if ($user->level >= 5) {
            if ($user->clan != 0) {
                Yii::app()->user->setFlash('error', 'Вы уже состоите в клане');
                $this->redirect(array('clan/panel'));
            }
        } else {
            throw new CHttpException(NULL, 'Эта возможность доступна игрокам с 5 уровня');
        }
        $this->render('infocreate');
    }

    public function actionCreate() {
        $user = Users::findUser();
        if ($user->level >= 5) {
            if ($user->clan != 0) {
                Yii::app()->user->setFlash('error', 'Вы уже состоите в клане');
                $this->redirect(array('clan/panel'));
            }
            $model = new Clans;
            if (isset($_POST['Clans'])) {
                $model->attributes = $_POST['Clans'];
                if ($model->validate()) {
                    $model->side = $user->side;
                    $model->save();
                    Users::model()->updateByPk(Yii::app()->user->id, array('clan' => Yii::app()->db->getLastInsertID()));
                    Yii::app()->user->setFlash('success', 'Вы успешно основали свой клан');
                    $this->redirect(array('clan/panel'));
                }
            }
        } else {
            throw new CHttpException(NULL, 'Эта возможность доступна игрокам с 5 уровня');
        }
        $this->render('create', array(
            'model' => $model,
        ));
    }

    public function actionPanel() {
        $user = Users::findUser();
        $clan = Clans::findClan($user->clan);
        if ($clan) {
            
        } else {
            Yii::app()->user->setFlash('error', 'Вы не состоите в клане');
            $this->redirect(array('clan/office'));
        }
        $this->render('panel', array(
            'clan' => $clan,
        ));
    }

}
